1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

spamd error

Discussion in 'Plesk for Linux - 8.x and Older' started by Griffith, Aug 26, 2005.

  1. Griffith

    Griffith Guest

    0
     
    Anyone who knows what causes this error:
    spamd[19252]: bad protocol: header error: (closed before headers)

    I've got it on my severs after upgrading to psa-7.5.4... the error occurs at the exact same time on both servers... but not like a cron job that runs each hour... but normally I get the error twice within one hour...

    Haven't found much in the logfiles either :p
     
  2. Traged1

    Traged1 Guest

    0
     
    It is a message which tells you that when psa-spamassassin restarts spamd, spamd fails which means your spam filter is not working.

    I am having the same issue right now, and so far I am having no luck finding a solution, any one have any other info which could help?
     
  3. Traged1

    Traged1 Guest

    0
     
    It appears that the psa-spamassain is not configured properly to restart the new SA3 daemon.
     
  4. cmaxwell

    cmaxwell Regular Pleskian

    25
    73%
    Joined:
    Aug 1, 2001
    Messages:
    150
    Likes Received:
    1
    I see this error message when we enable Watchdog monitoring for the Spamassassin service - that is with Spamassassin v2.63.

    Do you get this as well? :rolleyes:

    - Chris
     
  5. Traged1

    Traged1 Guest

    0
     
    We had installed Watchdog, but decided to remove the rpm as it was cuase many issues. However, now without watchdog intalled we are still unable to re-start psa-spamassassin via PLESK, we restart it from SSH with

    # service psa-spamassassin restart

    and it works.
     
  6. cmaxwell

    cmaxwell Regular Pleskian

    25
    73%
    Joined:
    Aug 1, 2001
    Messages:
    150
    Likes Received:
    1
    You're not able to restart Spamassassin from within Plesk? Now that is strange... never seen that before. Did you report that to SWsoft as a bug?

    RHN up2date released official support for Spamassassin 3.1 the other night so if you have any servers using up2date then watch out! Our RHES boxes ended up with Spamassassin 2.63 and 3.1 both installed at the same time. :eek:

    - Chris
     
  7. Traged1

    Traged1 Guest

    0
     
    Thanks for the heads up, these are RHEL3 boxes, I will check for multiple versions of SA on them.
     
Loading...